#ifndef ANIMAUX_HPP
#define ANIMAUX_HPP

#include <QObject>
#include <QString>

class Animaux : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString name READ name WRITE setName NOTIFY nameChanged FINAL)
public:
    explicit Animaux(QString name, QObject *parent = nullptr);

    QString name() const;
    void setName(const QString &newName);

signals:
    void nameChanged(QString);
private:
    QString m_name;
};

#endif // ANIMAUX_HPP
